Mailinglist Archive: opensuse-updates (98 mails)

< Previous Next >
openSUSE-RU-2015:0608-1: important: Softwarestack update for openSUSE 13.2
openSUSE Recommended Update: Softwarestack update for openSUSE 13.2
______________________________________________________________________________

Announcement ID: openSUSE-RU-2015:0608-1
Rating: important
References: #915461 #916254 #919709 #921332 #922352
Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that has 5 recommended fixes can now be installed.

Description:

This recommended update for the Softwarestack of openSUSE 13.2 fixes the
following issues:
- libsolv:
+ fix bug in dislike_old_versions that could lead to a segfault
(bnc#922352)
+ rework splitprovides handling (bnc#921332)
+ improve package choosing code
+ new testcase dependency format
+ add alternatives introspection
+ make reorder_dq_for_jobrules also look at recommends/suggests
+ rework branch handling
+ add parser for rpm rich deps

- zypper:
+ patch: A date limit must ignore newer patch candidates (bnc#919709)
+ Show locked packages in zypper summary (FATE#318326,FATE#318299)
+ modify repo: Notify about volatile changes to service repos
(bnc#916254)
+ ps: Change column header from 'Login' to 'User' (bnc#915461)
+ man: add missing patch --date option
+ man: mention $releasever_major/minor repo variables
+ man: Update repo variable substitution (default and alternate values)
+ Updated translations

-libzypp:
+ add support for SHA224/384/512
+ New RepoVarExpand: Functor expanding repo variables in a string .
Supports bash style default ${v:-w}' and alternate ${v:+w} values
(FATE#318354)
+ Easy.h: Use __typeof__ rather than typeof in header
+ Support repo variable replacement in service url
+ Support repo variable replacement in gpg url
+ Gettext.h: Fallback to ::gettext if accidentally included outside
libzypp


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-264=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (aarch64 armv7hl ppc ppc64 ppc64le):

libsolv-debugsource-0.6.10-10.1
libsolv-demo-0.6.10-10.1
libsolv-demo-debuginfo-0.6.10-10.1
libsolv-devel-0.6.10-10.1
libsolv-devel-debuginfo-0.6.10-10.1
libsolv-tools-0.6.10-10.1
libsolv-tools-debuginfo-0.6.10-10.1
perl-solv-0.6.10-10.1
perl-solv-debuginfo-0.6.10-10.1
python-solv-0.6.10-10.1
python-solv-debuginfo-0.6.10-10.1
ruby-solv-0.6.10-10.1
ruby-solv-debuginfo-0.6.10-10.1
zypper-1.11.23-19.1
zypper-debuginfo-1.11.23-19.1
zypper-debugsource-1.11.23-19.1

- openSUSE 13.2 (armv7hl ppc ppc64 ppc64le):

libzypp-14.37.1-22.2
libzypp-debuginfo-14.37.1-22.2
libzypp-debugsource-14.37.1-22.2
libzypp-devel-14.37.1-22.2
libzypp-devel-doc-14.37.1-22.2

- openSUSE 13.2 (aarch64):

libzypp-14.37.1-22.1
libzypp-debuginfo-14.37.1-22.1
libzypp-debugsource-14.37.1-22.1
libzypp-devel-14.37.1-22.1
libzypp-devel-doc-14.37.1-22.1

- openSUSE 13.2 (noarch):

zypper-aptitude-1.11.23-19.1
zypper-log-1.11.23-19.1


References:

https://bugzilla.suse.com/915461
https://bugzilla.suse.com/916254
https://bugzilla.suse.com/919709
https://bugzilla.suse.com/921332
https://bugzilla.suse.com/922352


< Previous Next >
This Thread
  • No further messages